---
title: MediaStreamTrackAudioSourceOptions.mediaStreamTrack
slug: Web/API/MediaStreamTrackAudioSourceOptions/mediaStreamTrack
tags:
  - API
  - Audio
  - Media
  - MediaStreamTrack
  - MediaStreamTrackAudioSourceNode
  - Node
  - Options
  - Property
  - Reference
  - Web Audio
  - Web Audio API
  - sound
  - source
  - track
---
<div>{{APIRef("Web Audio API")}}</div>

<p><span class="seoSummary">The {{domxref("MediaStreamTrackAudioSourceOptions")}} dictionary's <code><strong>mediaStreamTrack</strong></code> property must contain a reference to the {{domxref("MediaStreamTrack")}} from which the <code>MediaStreamTrackAudioSourceNode</code> being created using the {{domxref("MediaStreamTrackAudioSourceNode.MediaStreamTrackAudioSourceNode", "MediaStreamTrackAudioSourceNode()")}} constructor.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>mediaStreamTrackAudioSourceOptions</em> = {
  mediaStreamTrack: <em>audioSourceTrack</em>;
}

<em>mediaStreamTrackAudioSourceOptions</em>.mediaStreamTrack = <em>audioSourceTrack</em>;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("MediaStreamTrack")}} from which the audio output of the new <code>MediaStreamTrackAudioSourceNode</code> will be taken.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/MediaStreamTrackAudioSourceNode/MediaStreamTrackAudioSourceNode", "Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-mediastreamtrackaudiosourceoptions-mediastreamtrack','MediaStreamTrackAudioSourceOptions.mediaStream')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrackAudioSourceOptions.mediaStreamTrack")}} </p>
